Subject: Re: perl 5.8.6
From: Yitzchak Scott-Thoennes <[email-masked]>
To: "Gerrit P. Haase" <[email-masked]>
Cc: [email-masked], Reini Urban <[email-masked]>
Date: Tue, 11 Jan 2005 13:59:50 -0800

On Tue, Jan 11, 2005 at 10:17:40PM +0100, Reini Urban wrote:
> Gerrit P. Haase schrieb:
> >Reini Urban wrote:
> >Your libwin32 package, does it work on Win98 / ME?
> 
> I cannot test that in ME/98 now. Laptop needs a new power cable and 
> vmware was too big for my hd.
> 
> >I have included Yitzchak's patch and the Win32CORE module statically
> >into perl, now the users are getting:
> > ntdll.dll is missing export atoi().
> >
> >Hmmm.  atoi() is used all over the place in the perl source...
> 
> I believe I or Rafael wrote a minor atoi() base 10 stub to be ntdll / 
> strtol independent.
> The whole atoi issue is to get rid of the slow strtol:
> error checking, C locale only?
> 
> Shouldn't this dependency be resolved in cygwin/newlib?
> Perl shouldn't care about that.

Except that perl is linking against ntdll explicitly (and this is
resolved before the implicit link to cygwin).

> >Why was this not a problem with 5.8.5 before including Win32CORE
> >statically?

Probably because it didn't link ntdll then.  When static extensions
specify libraries that they need, and then perl is linked using those
libraries.

Does removing ntdll from the Win32CORE hints fix it?

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/